require 'twitter_oauth'
require 'myun2/twitter_shell/consumer_key'

module Myun2
  class TwitterShell
    class Client < TwitterOAuth::Client
      def initialize(params)
        super(
	      consumer_key:    Myun2::TwitterShell::ConsumerKey::KEY,
	      consumer_secret: Myun2::TwitterShell::ConsumerKey::SECRET,
	      token: params[:access_token],
	      secret: params[:access_token_secret],
        )
      end
    end
  end
end
