require 'myun2/twitter_shell/authorize'

module Myun2
  class TwitterShell
    class Login
      def initialize(*params)
        new_login
      end

      private
      def new_login
        access_token = Authorize.new.access_token
        profile = Profile.new(
          access_token: access_token.token,
          access_token_secret: access_token.secret,
        )
        profile.save
      end
    end
  end
end
